#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libtool
Version		:	2.4.7
Release		:	14.4.0.0%{?dist}
Summary		:	The GNU Portable Library Tool
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and LGPLv2+ and GFDL
URL		:	https://www.gnu.org/software/libtool/
			#https://ftp.gnu.org/gnu/libtool/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Buildrequires	:	autoconf, automake, texinfo
#-----------------------------------------------------------------------------
%description
GNU Libtool is a set of shell scripts which automatically configure UNIX and
UNIX-like systems to generically build shared libraries. Libtool provides a
consistent, portable interface which simplifies the process of using shared
libraries.

If you are developing programs which will use shared libraries, but do not use
the rest of the GNU Autotools (such as GNU Autoconf and GNU Automake), you
should install the libtool package.

The libtool package also includes all files needed to integrate the GNU
Portable Library Tool (libtool) and the GNU Libtool Dynamic Module Loader
(ltdl) into a package built using the GNU Autotools (including GNU Autoconf
and GNU Automake).

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

autoconf -f -i
#$LT_SYS_LIBRARY_PATH="/%{_lib} %{_libdir} /lib /usr/lib "
./configure							\
        --prefix=%{_prefix}					\
	--exec-prefix=%{_exec_prefix}				\
        --sysconfdir=%{_sysconfdir}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--infodir=%{_infodir}					\
	--sharedstatedir=%{_var}/lib				\
	--localstatedir=%{_var}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--disable-static


%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%{__rm} -fr %{buildroot}%{_infodir}/dir

#removing libtool library
%{__rm} -f %{buildroot}%{_libdir}/*.la

%files			
%defattr(-, root,root, 0755)
%{_includedir}/libltdl/*.h
%{_includedir}/ltdl.h
%{_bindir}/%{name}*
%{_libdir}/*
%{_datadir}/aclocal/*.m4
%{_datadir}/info/%{name}.info*.gz
%{_mandir}/man1/*.1.gz
%{_datadir}/%{name}/*

%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig


%changelog
